Bug 709645 - Remaining external hosts not displayed while removing one from a sudorule.
Summary: Remaining external hosts not displayed while removing one from a sudorule.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-01 09:28 UTC by Gowrishankar Rajaiyan
Modified: 2015-01-04 23:49 UTC (History)
3 users (show)

Fixed In Version: ipa-2.1.0-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: The output when removing external hosts from a sudorule contained the hosts that were removed. Consequence: This caused confusion because the hosts were actually removed. Fix: Refresh the external host information before returning data to the client. Result: The removed external hosts are no longer displayed in the sudo rule output.
Clone Of:
Environment:
Last Closed: 2011-12-06 18:22:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Gowrishankar Rajaiyan 2011-06-01 09:28:59 UTC
Description of problem:


Version-Release number of selected component (if applicable):
ipa-server-2.0.0-23.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Add external host to sudorule. Make sure you have multiple external hosts.
#  ipa sudorule-add-host sudorule1 --hosts=test2.example.com
  Rule name: sudorule1
  Enabled: TRUE
  External host: test.example.com, test2.example.com
-------------------------
Number of members added 1
-------------------------

2. Remove any one external host. 
#  ipa sudorule-remove-host sudorule1 --hosts=test.example.com
  Rule name: sudorule1
  Enabled: TRUE
---------------------------
Number of members removed 1
---------------------------

  
Actual results:
The output doesn't show the remaining external hosts.


Expected results:
Should display the remaining external hosts.

example:
#  ipa sudorule-remove-host sudorule1 --hosts=test.example.com
  Rule name: sudorule1
  Enabled: TRUE
  External host: test2.example.com
---------------------------
Number of members removed 1
---------------------------


Additional info:

Comment 2 Rob Crittenden 2011-06-01 15:29:05 UTC
https://fedorahosted.org/freeipa/ticket/1269

Comment 3 Rob Crittenden 2011-08-01 20:32:26 UTC
master: 6e5885d109a6aa303b62706bd571dc076491fab4

ipa-2-0: 0705fa243cd411068f25304a85df75ee3f143a25

Comment 5 Jenny Severance 2011-10-05 18:37:52 UTC
verified:

# ipa sudorule-add-host sudorule1 --hosts=test2.example.com
  Rule name: sudorule1
  Enabled: TRUE
  External host: test2.example.com
-------------------------
Number of members added 1
-------------------------
[root@ipaserver ~]# ipa sudorule-add-host sudorule1 --hosts=test1.example.com
  Rule name: sudorule1
  Enabled: TRUE
  External host: test2.example.com, test1.example.com
-------------------------
Number of members added 1
-------------------------


# ipa sudorule-remove-host sudorule1 --hosts=test1.example.com
  Rule name: sudorule1
  Enabled: TRUE
  External host: test2.example.com
---------------------------
Number of members removed 1
---------------------------

version:
ipa-server-2.1.1-4.el6.x86_64

Comment 6 Rob Crittenden 2011-10-31 19:19:46 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: The output when removing external hosts from a sudorule contained the hosts that were removed.
Consequence: This caused confusion because the hosts were actually removed.
Fix: Refresh the external host information before returning data to the client.
Result: The removed external hosts are no longer displayed in the sudo rule output.

Comment 7 errata-xmlrpc 2011-12-06 18:22:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.